// www.sgm.siedlce.pl

/*
  test modułu YS-IRTM:
  odbieranie z terminala 3-bajtowej komendy w standardzie NEC i
  odsyłanie jej na terminal
*/

int led = 13;
byte in1;
const byte prefix1 =0xA1;  // obowiazkowy 1. byte sterujacy
const byte prefix2 =0xF1;  // obowiazkowy 2. byte sterujacy
const byte cmd1 = 0x00;    // 1. byte komendy IR
const byte cmd2 = 0xFF;    // 2. byte komendy IR
const byte cmd3 = 0x45;    // 3. byte komendy IR
                           // odpowiada lewemu gornemu klawiszowi pilota
                           // 'ir Aruino' (CH-)

byte bufCmd[2];            // 3-bajtowy bufor komend


void setup() {
  pinMode(led, OUTPUT);
  digitalWrite(led, LOW);
  Serial.begin(9600);     // inicjalizacja interfejsu RS 

  
} //void setup


void loop() {

  byte inByte;
  while (Serial.available() > 0)
  {
    inByte = Serial.read();
    bufCmd[2]=bufCmd[1];
    bufCmd[1]=bufCmd[0];
    bufCmd[0]=inByte;
    }
    
  if ((bufCmd[2] == cmd1) && (bufCmd[1] == cmd2) && (bufCmd[0] == cmd3)) {
   Serial.write(prefix1);
   Serial.write(prefix2);
   Serial.write(bufCmd[2]);
   Serial.write(bufCmd[1]);
   Serial.write(bufCmd[0]);
   bufCmd[2]=0;
   bufCmd[1]=0;
   bufCmd[0]=0;
  }  



} //void loop()


